{% extends 'AppBundle::layout.html.twig' %}

{% block window_title %}{{ parent() }}{% endblock %}
{% set description = votation.title|striptags|slice(0,150) %}
{% block page_subtitle1 %}Vote: {{ description|raw }}{% endblock %}

{% block body %}
    <div id="votation" class="row">
        <div class="col-sm-3">{% include 'AppBundle:Subscription/Votation:help.html.twig' %}</div>
        <div class="col-sm-6" style="padding-bottom: 20px">
            {#<a href="{{ path('votations') }}"#}
               {#class="pull-left btn btn-primary"><i class="fa fa-search"></i> Voir liste</a>#}
        </div>

        <div class="col-sm-6">
            <div class="blueGroup">
                <h1 class="blueColor">{{ description|raw }} - <span class="badge">{{ votation.referedProposals | length }} propositions</span> {% if votation.weight %}- <span class="badge">{{ votation.votes/votation.weight }} votant.e.s</span>{% endif %}</h1>


                <div id="votation" class="row">
                    <div class="col-sm-12">
                        Vote du {{ votation.beginTime|date('d/m/Y H:i') }} au {{ votation.endTime|date('d/m/Y H:i') }} - {{ votation.status }}
                    </div>
                    <div class="col-sm-12">
                    {% if votation.beginTime|date('d/m/y H:i') > 'now'|date('d/m/y H:i') %}
                        <p style="padding-righ: 10px; padding-left: 10px">
                            {% if is_granted('CAN_VOTE', votation) %}
                            Vous pourrez voter de {{ votation.beginTime|date('d/m/y H:i') }} à {{ votation.endTime|date('d/m/y H:i') }}
                            {% else %}
                                    Vous ne pourrez pas voter (voir les conditions sur le panneau latéral). Le vote se déroulera à partir de {{ votation.beginTime|date('d/m/y H:i') }} à {{ votation.endTime|date('d/m/y H:i') }}
                            {% endif %}
                        </p>
                        {% elseif votation.endTime|date('d/m/y H:i') < 'now'|date('d/m/y H:i') %}
                            <p style="padding-righ: 10px; padding-left: 10px">
                                Les résultats seront bientôt disponibles ici.
                            </p>
                        {% else %}
                        <p>Vote en cours</p>
                        {% if app.user.hasVoted(votation) %}
                            <p style="padding-righ: 10px; padding-left: 10px">
                                Vous avez déjà voté
                            </p>
                        {% elseif is_granted('CAN_VOTE', votation) %}
                            <p>
                        <a href="{{ path('votation_do', {"id": votation.id}) }}"
                           class="btn btn-primary btn-lg btn-pink">
                            <i class="fa fa-hand-o-up"></i> Voter
                        </a>
                            </p>
                            {% else %}
                            Vous ne pouvez pas voter (voir les conditions sur le panneau latéral).
                        {% endif %}
                            {% endif %}
                    </div>
                    {% include 'AppBundle:Subscription/Votation:_view.html.twig' %}
                </div>
            </div>
        </div>
    </div>

{% endblock %}